package java.security.spec;

import java.math.BigInteger;
import java.security.interfaces.DSAParams;

public class DSAParameterSpec implements AlgorithmParameterSpec, DSAParams
{
    BigInteger p;
    BigInteger q;
    BigInteger g;
    
    public DSAParameterSpec(BigInteger p3, BigInteger q, BigInteger g) {
        this.p = p3;
        this.q = q;
        this.g = g;
    }
    
    @Override
    public BigInteger getP() {
        return this.p;
    }
    
    @Override
    public BigInteger getQ() {
        return this.q;
    }
    
    @Override
    public BigInteger getG() {
        return this.g;
    }
}
